Summary: Stops browsers from displaying ads in web pages.
Vendor: http://www.waldherr.org/
Name: junkbuster
Version: 2.0.2
Release: 4
Source0: http://internet.junkbuster.com/ijb20.tar.Z
Source1: http://www.waldherr.org/junkbuster/misc-junkbuster-stuff.tar.gz
Patch0: junkbuster-2.0.2-user.patch
Copyright: GPL
Group: Applications/System
URL: http://www.waldherr.org/junkbuster/
BuildRoot: /var/tmp/junkbuster
Prereq: /usr/sbin/useradd

%description
The Internet Junkbuster stops your browser from displaying the
advertisement images that pervade many commercial web pages.  Since your
browser has to download fewer images, surfing the web should be faster.

%prep
%setup -n ijb20 -a 1

cp -f swa/* .
patch < manfile.patch
%patch0 -p1 -b .user

%build
export DISTNAME='\"junkbuster-2.0.2-3\"'
export DISTURL='\"http://www.waldherr.org/junkbuster/\"'
make && strip junkbuster

%pre
if [ -f /etc/rc.d/init.d/junkbuster.init ]; then
        /etc/rc.d/init.d/junkbuster.init stop
fi
if [ -f /etc/rc.d/init.d/junkbuster ]; then
        /etc/rc.d/init.d/junkbuster stop
fi
/usr/sbin/useradd -d /etc/junkbuster -u 73 -r junkbust > /dev/null 2>&1 || /bin/true

%install
rm -rf $RPM_BUILD_ROOT
/usr/sbin/useradd -d /etc/junkbuster -u 73 -r junkbust > /dev/null 2>&1 || /bin/true

mkdir -p $RPM_BUILD_ROOT/{var/log/junkbuster,usr/{sbin,man/man8},etc/{junkbuster,logrotate.d,cron.weekly,cron.monthly,rc.d/{init.d,rc{0,1,2,3,5,6}.d}}}
install -g junkbust -o junkbust -s -m 744 junkbuster $RPM_BUILD_ROOT/usr/sbin/junkbuster
cp -f junkbuster.1 $RPM_BUILD_ROOT/usr/man/man8/junkbuster.8
cp -f blocklist $RPM_BUILD_ROOT/etc/junkbuster/blocklist
cp -f imagelist $RPM_BUILD_ROOT/etc/junkbuster/imagelist
cp -f cookiefile $RPM_BUILD_ROOT/etc/junkbuster/cookiefile
cp -f saclfile.ini $RPM_BUILD_ROOT/etc/junkbuster/aclfile
cp -f config $RPM_BUILD_ROOT/etc/junkbuster/config
cp -f forward $RPM_BUILD_ROOT/etc/junkbuster/forward
cp -f strust.ini $RPM_BUILD_ROOT/etc/junkbuster/trust
cp -f junkbuster.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/junkbuster
cp -f swa/README.TOO .
cp -f swa/squid.txt .

install -m 755 swa/junkbuster.init $RPM_BUILD_ROOT/etc/rc.d/init.d/junkbuster
install -g junkbust -o junkbust -m 744 -d $RPM_BUILD_ROOT/var/log/junkbuster

ln -sf ../init.d/junkbuster $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K09junkbuster
ln -sf ../init.d/junkbuster $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K09junkbuster
ln -sf ../init.d/junkbuster $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S84junkbuster
ln -sf ../init.d/junkbuster $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S84junkbuster
ln -sf ../init.d/junkbuster $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S84junkbuster
ln -sf ../init.d/junkbuster $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K09junkbuster

%preun
if [ -f /etc/rc.d/init.d/junkbuster.init ]; then
        /etc/rc.d/init.d/junkbuster.init stop
fi
if [ -f /etc/rc.d/init.d/junkbuster ]; then
        /etc/rc.d/init.d/junkbuster stop
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ijbfaq.html ijbman.html README README.TOO gpl.html squid.txt junkbuster.weekly junkbuster.monthly
%dir /etc/junkbuster
%config /etc/junkbuster/blocklist
%config /etc/junkbuster/imagelist
%config /etc/junkbuster/cookiefile
%config /etc/junkbuster/aclfile
%config /etc/junkbuster/config
%config /etc/junkbuster/forward
%config /etc/junkbuster/trust
%dir /var/log/junkbuster
/etc/logrotate.d/junkbuster
/usr/sbin/junkbuster
/usr/man/man8/junkbuster.8
/etc/rc.d/init.d/junkbuster
/etc/rc.d/rc0.d/K09junkbuster
/etc/rc.d/rc1.d/K09junkbuster
/etc/rc.d/rc2.d/S84junkbuster
/etc/rc.d/rc3.d/S84junkbuster
/etc/rc.d/rc5.d/S84junkbuster
/etc/rc.d/rc6.d/K09junkbuster

%changelog
* Wed May 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- defattr was clobbering nobody ownership
- decided that a separate user id would be preferable -- part of
  the point of "nobody" is only being able to edit world-editable
  files, as a general rule.
- added %build
- used daemon function so that logging is done right

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- cleaned up spec file a bit, built for 6.0

* Sun Jan 31 1999 Stefan Waldherr <stefan@waldherr.org>
	/var/log/junkbuster set to nobody. Added /etc/junkbuster/imagelist
	to allow more sophisticated matching of blocked images. Logrotate
	logfile. Added files for auto-updating the blocklist et al.

* Wed Dec 16 1998 Stefan Waldherr <stefan@waldherr.org>
	Configure blank version via config file. No separate blank
	version anymore. Added Roland's <roland@spinnaker.rhein.de>
	patch to show a logo instead of a blank area. Added a suggestion
	from Alex <alex@cocoa.demon.co.uk>: /var/lock/subsys/junkbuster.
	More regexps in the blocklist. Prepared the forwardfile for
	squid. Extended image regexp with help from gabriel 
	<somlo@CS.ColoState.EDU>.

* Thu Nov 19 1998 Stefan Waldherr <stefan@waldherr.org>
	All RPMs now identify themselves in the show-proxy-args page.
	Released Windoze version. Run junkbuster as nobody instead of
	root. 

* Fri Oct 30 1998 Stefan Waldherr <stefan@waldherr.org>
	Newest version. First release (hence the little version number
	mixture -- 2.0.2-0 instead of 2.0-7). This version tightens 
	security over 2.0.1; some multi-user sites will need to change 
	the listen-address in the configuration file. The blank version of
        the Internet Junkbuster has a more sophisticated way of replacing
	images. All RPMs identify themselves in the show-proxy-args page.

* Thu Sep 23 1998 Stefan Waldherr <stefan@waldherr.org>
	Modified the blocking feature, so that only GIFs and JPEGs are
	blocked and replaced but not HTML pages. Thanks to 
	"Gerd Flender" <plgerd@informatik.uni-siegen.de> for this nice
	idea. Added numerous stuff to the blocklist. Keep patches in
        seperate files and no longer in diffs (easier to maintain).

* Tue Jun 16 1998 Stefan Waldherr <swa@cs.cmu.edu>
        Moved config files to /etc/junkbuster directory, moved man page,
	added BuildRoot directive (Thanks to Alexey Nogin <ayn2@cornell.edu>)
        Made new version junkbuster-raw (which is only a stripped version of 
        the junkuster rpm, i.e. without my blocklist, etc.)

* Tue Jun 16 1998 (2.0-1)
	Uhm, not that much. Just a new junkbuster version that
	fixes a couple of bugs ... and of course a bigger 
	blocklist with the unique Now-less-ads-than-ever(SM)
	feature.
	Oh, one thing: I changed the default user agent to Linux -- no 
	need anymore to support Apple.

* Tue Jun 16 1998 (2.0-0)
	Now-less-ads-than-ever (SM)
	compiled with gcc instead of cc
	compiled with -O3, thus it should be a little faster
	show-proxy-args now works
	/etc/junkbuster.init wasn't necessary

* Tue Jun 16 1998 (1.4)
	some more config files were put into /etc
	The junkbuster-blank rpm returns a 1x1 pixel image, that gets 
	displayed by Netscape instead of the blocked image.
	Read http://www.waldherr.org/junkbuster/ for
	further info.

* Tue Jun 16 1998 (1.3)
	The program has been moved to /usr/sbin (from /usr/local/bin)
	Init- and stopscripts (/etc/rc.d/rc*) have been added so
	that the junkbuster starts automatically during bootup.
	The /etc/blocklist file is much more sophisticated. Theoretically
	one should e.g. browse all major US and German newspapers without
	seeing one annoying ad.
	junkbuster.init was modified. It now starts junkbuster with an
	additional "-r @" flag.
